%define module	django-auth-ldap

Name: 		python-%{module}
Version: 	4.1.0
Release: 	%mkrel 2
Summary: 	Django LDAP authentication backend
License:	BSD
Group: 		Development/Python
URL: 		https://github.com/django-auth-ldap/django-auth-ldap
Source0: 	https://pypi.io/packages/source/d/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch

%description
This is a Django authentication backend that authenticates against an LDAP
service. Configuration can be as simple as a single distinguished name
template, but there are many rich configuration options for working with users,
groups, and permissions.

#---------------------------------------------------------------------------

%package -n	python3-%{module}
Summary:	Django LDAP authentication backend
Group:		Development/Python
BuildRequires: pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(setuptools-scm)
BuildRequires:	python3dist(sphinx)
BuildRequires:	python3-setuptools-scm+toml
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
This is a Django authentication backend that authenticates against an LDAP
service. Configuration can be as simple as a single distinguished name
template, but there are many rich configuration options for working with users,
groups, and permissions.

#---------------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}
%autopatch -p1

find . -name '.buildinfo' -delete
find . -name '.spell*' -delete


%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files django_auth_ldap

%files -n python3-%{module} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%doc html



%changelog
* Fri Nov 04 2022 wally <wally> 4.1.0-2.mga9
+ Revision: 1902745
- update setuptools-scm BRs

* Tue Sep 06 2022 neoclust <neoclust> 4.1.0-1.mga9
+ Revision: 1884631
- New version

* Tue Mar 29 2022 umeabot <umeabot> 3.0.0-2.mga9
+ Revision: 1832926
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 3.0.0-1.mga9
+ Revision: 1785173
- version 3.0.0
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 2.3.0-1.mga9
+ Revision: 1707670
- new version: 2.3.0
- rebuild for python 3.9

* Tue Jul 14 2020 daviddavid <daviddavid> 2.2.0-1.mga8
+ Revision: 1606026
- new version: 2.2.0

* Sun Feb 16 2020 umeabot <umeabot> 2.0.0-3.mga8
+ Revision: 1531847
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 2.0.0-2.mga8
+ Revision: 1441327
- rebuild for python3.8

* Wed Aug 21 2019 wally <wally> 2.0.0-1.mga8
+ Revision: 1430833
- new version 2.0.0
- drop python2 support

* Tue Jan 08 2019 shlomif <shlomif> 1.7.0-1.mga7
+ Revision: 1352472
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.4.0-2.mga7
+ Revision: 1288681
- Mageia 7 Mass Rebuild

* Mon Mar 26 2018 daviddavid <daviddavid> 1.4.0-1.mga7
+ Revision: 1212552
- new version: 1.4.0
- both pkgs now uses python{2,3}-ldap

* Tue Feb 20 2018 daviddavid <daviddavid> 1.3.0-2.mga7
+ Revision: 1203453
- add patch to fix pyldap dependency only for python3 and
  python-ldap dependency only for python2

* Sun Jan 07 2018 daviddavid <daviddavid> 1.3.0-1.mga7
+ Revision: 1191296
- new version: 1.3.0
- rename python-django-auth-ldap to python2-django-auth-ldap

* Sat Aug 05 2017 pterjan <pterjan> 1.2.8-2.mga7
+ Revision: 1135374
- Rebuild for python 3.6

* Thu Apr 21 2016 daviddavid <daviddavid> 1.2.8-1.mga6
+ Revision: 1003936
- new version: 1.2.8

* Fri Feb 19 2016 umeabot <umeabot> 1.2.7-3.mga6
+ Revision: 970449
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 daviddavid <daviddavid> 1.2.7-2.mga6
+ Revision: 886791
- rebuild for python 3.5

* Wed Sep 30 2015 daviddavid <daviddavid> 1.2.7-1.mga6
+ Revision: 885281
- new version: 1.2.7
- use new python macros
- remove no more needed patch

* Sun Jun 21 2015 daviddavid <daviddavid> 1.2.6-1.mga6
+ Revision: 837982
- new version: 1.2.6
- add more docs

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-5.mga5
+ Revision: 744815
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.0-4.mga5
+ Revision: 728274
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-3.mga5
+ Revision: 687970
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.2.0-2.mga5
+ Revision: 628554
- Rebuild for new Python

* Thu Apr 24 2014 daviddavid <daviddavid> 1.2.0-1.mga5
+ Revision: 617597
- add support of python 3
- add Patch0 to fix setup install_requires (pythonegg(3)(ldap) is not yet available on mga)
- update URL
- new version: 1.2.0

* Tue Oct 22 2013 umeabot <umeabot> 1.1.4-3.mga4
+ Revision: 543047
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.1.4-2.mga4
+ Revision: 498364
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Jun 03 2013 kharec <kharec> 1.1.4-1.mga4
+ Revision: 436212
- update to new version 1.1.4

* Sun Jan 13 2013 umeabot <umeabot> 1.0.15-2.mga3
+ Revision: 378665
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 misc <misc> 1.0.15-1.mga2
+ Revision: 218552
- new version 1.0.15

* Mon Apr 18 2011 misc <misc> 1.0.9-1.mga1
+ Revision: 87649
- update to 1.0.9

* Thu Jan 27 2011 ahmad <ahmad> 1.0.7-1.mga1
+ Revision: 42338
- imported package python-django-auth-ldap


* Sun Dec 19 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.7-1mdv2011.0
+ Revision: 622931
- update to new version 1.0.7

* Tue Nov 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.0.6-2mdv2011.0
+ Revision: 592243
- rebuild for python 2.7

* Fri Jul 30 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.6-1mdv2011.0
+ Revision: 563453
- update to new version 1.0.6

* Mon Jul 19 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.5-1mdv2011.0
+ Revision: 554938
- import python-django-auth-ldap


